import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { AccountService } from '../../services/account.service';
import { ActivatedRoute } from '@angular/router';
import { ConfigService } from '../../services/config.service';
import { NavController, ToastController } from '@ionic/angular';
import { Configuration } from '../../services/model/config.model';
import { AppFormContainer } from '../../form/form-container.class';
import { ShowToastOptions } from '../../../shared/toast/toasts';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class AppChangePasswordPage extends AppFormContainer implements OnInit, OnDestroy {
    protected configService: ConfigService;
    protected accountService: AccountService;
    protected toastController: ToastController;
    protected translate: TranslateService;
    protected navController: NavController;
    protected activatedRoute: ActivatedRoute;
    protected cd: ChangeDetectorRef;
    protected token: string;
    protected username: string;
    protected contentStyle: {};
    protected sending: boolean;
    protected isLogin: boolean;
    protected usernamePlaceholder: string;
    protected emailValidator: boolean;
    private form;
    constructor(configService: ConfigService, accountService: AccountService, toastController: ToastController, translate: TranslateService, navController: NavController, activatedRoute: ActivatedRoute, cd: ChangeDetectorRef);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    onConfigReady(config: Configuration): Promise<void>;
    doSubmit(event?: Event): Promise<void>;
    protected showToast(opts: ShowToastOptions): Promise<void>;
    protected markForCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppChangePasswordPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppChangePasswordPage, "app-change-password-page", never, {}, {}, never, never, false, never>;
}
