import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { AccountService } from '../services/account.service';
import * as i0 from "@angular/core";
export declare class AppAuthModal implements OnInit {
    private accountService;
    private viewCtrl;
    private cd;
    get loading(): boolean;
    private form;
    constructor(accountService: AccountService, viewCtrl: ModalController, cd: ChangeDetectorRef);
    ngOnInit(): void;
    cancel(): void;
    doSubmit(): Promise<any>;
    protected markForCheck(): void;
    protected markAsLoading(opts?: {
        emitEvent?: boolean;
    }): void;
    protected markAsLoaded(opts?: {
        emitEvent?: boolean;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppAuthModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppAuthModal, "ng-component", never, {}, {}, never, never, false, never>;
}
