import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ModalController, ToastController } from '@ionic/angular';
import { AccountService } from '../services/account.service';
import { ShowToastOptions } from '../../shared/toast/toasts';
import { TranslateService } from '@ngx-translate/core';
import { Subscription, TeardownLogic } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AppResetPasswordModal implements OnInit {
    protected accountService: AccountService;
    protected viewCtrl: ModalController;
    protected toastController: ToastController;
    protected translate: TranslateService;
    protected cd: ChangeDetectorRef;
    protected readonly subscription: Subscription;
    protected sending: boolean;
    username: string;
    usernamePlaceholder: string;
    emailValidator: boolean;
    private form;
    constructor(accountService: AccountService, viewCtrl: ModalController, toastController: ToastController, translate: TranslateService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    cancel(): Promise<void>;
    doSubmit(event?: any): Promise<void>;
    protected showToast(opts: ShowToastOptions): Promise<void>;
    protected registerSubscription(teardown: TeardownLogic): void;
    protected markForCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppResetPasswordModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppResetPasswordModal, "app-reset-password-modal", never, { "username": { "alias": "username"; "required": false; }; "usernamePlaceholder": { "alias": "usernamePlaceholder"; "required": false; }; "emailValidator": { "alias": "emailValidator"; "required": false; }; }, {}, never, never, false, never>;
}
