import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "../shared/shared.module";
import * as i2 from "@angular/router";
import * as i3 from "ionic-cache";
import * as i4 from "@ionic/storage-angular";
import * as i5 from "./graphql/graphql.module";
import * as i6 from "./menu/menu.module";
import * as i7 from "./icon/icon.module";
import * as i8 from "./account/account.module";
import * as i9 from "./register/register.module";
import * as i10 from "./auth/auth.module";
import * as i11 from "./home/home.module";
import * as i12 from "./about/about.module";
import * as i13 from "./settings/settings.module";
import * as i14 from "./peer/select-peer.module";
import * as i15 from "./form/form.module";
import * as i16 from "./table/table.module";
import * as i17 from "./install/install-upgrade-card.module";
import * as i18 from "./offline/update-offline-mode-card.module";
import * as i19 from "./services/pipes/pipes.module";
import * as i20 from "./account/password/change-password.module";
export declare class CoreModule {
    static forRoot(): ModuleWithProviders<CoreModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CoreModule, never, [typeof i1.SharedModule, typeof i2.RouterModule, typeof i3.CacheModule, typeof i4.IonicStorageModule, typeof i5.AppGraphQLModule, typeof i6.AppMenuModule, typeof i7.AppIconModule, typeof i8.AppAccountModule, typeof i9.AppRegisterModule, typeof i10.AppAuthModule, typeof i11.AppHomePageModule, typeof i12.AppAboutModalModule, typeof i13.AppSettingsPageModule, typeof i14.AppSelectPeerModule, typeof i15.AppFormModule, typeof i16.AppTableModule, typeof i17.AppInstallUpgradeCardModule, typeof i18.AppUpdateOfflineModeCardModule, typeof i19.CorePipesModule], [typeof i1.SharedModule, typeof i2.RouterModule, typeof i5.AppGraphQLModule, typeof i6.AppMenuModule, typeof i9.AppRegisterModule, typeof i20.AppChangePasswordModule, typeof i10.AppAuthModule, typeof i11.AppHomePageModule, typeof i12.AppAboutModalModule, typeof i13.AppSettingsPageModule, typeof i7.AppIconModule, typeof i14.AppSelectPeerModule, typeof i15.AppFormModule, typeof i16.AppTableModule, typeof i17.AppInstallUpgradeCardModule, typeof i18.AppUpdateOfflineModeCardModule, typeof i19.CorePipesModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CoreModule>;
}
