import { ChangeDetectorRef, Injector, OnDestroy, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormControl } from '@angular/forms';
import { PlatformService } from '../../../services/platform.service';
import { AppForm } from '../../form.class';
import { AppFormArray } from '../form-array';
import * as i0 from "@angular/core";
export declare class ArrayFormTestPage extends AppForm<any> implements OnInit, OnDestroy {
    protected formBuilder: UntypedFormBuilder;
    protected platform: PlatformService;
    protected injection: Injector;
    protected cd: ChangeDetectorRef;
    private subscription;
    get defaultFormArray(): AppFormArray<any, any>;
    get notEmptyFormArray(): AppFormArray<any, any>;
    get nullValuesFormArray(): AppFormArray<any, any>;
    get duplicatedValuesFormArray(): AppFormArray<any, any>;
    get valueToAddControl(): UntypedFormControl;
    constructor(formBuilder: UntypedFormBuilder, platform: PlatformService, injection: Injector, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadData(): Promise<void>;
    protected setFormArrayValue(formArray: AppFormArray<any, any>, values: string | string[]): void;
    protected markForCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArrayFormTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ArrayFormTestPage, "app-array-test", never, {}, {}, never, never, false, never>;
}
