import { ChangeDetectorRef, Injector } from '@angular/core';
import { UntypedFormBuilder } from '@angular/forms';
import { AppForm } from '../form.class';
import * as i0 from "@angular/core";
export declare class AppUsernameForm extends AppForm<{
    username: string;
}> {
    protected cd: ChangeDetectorRef;
    mobile: boolean;
    usernamePlaceHolder: string;
    emailValidator: boolean;
    constructor(injector: Injector, formBuilder: UntypedFormBuilder, cd: ChangeDetectorRef);
    ngOnInit(): void;
    markForCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppUsernameForm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppUsernameForm, "app-username-form", never, { "mobile": { "alias": "mobile"; "required": false; }; "usernamePlaceHolder": { "alias": "usernamePlaceHolder"; "required": false; }; "emailValidator": { "alias": "emailValidator"; "required": false; }; }, {}, never, never, false, never>;
    static ngAcceptInputType_mobile: unknown;
    static ngAcceptInputType_emailValidator: unknown;
}
