import { Entity, EntityAsObjectOptions } from './entity.model';
import { Moment } from 'moment/moment';
export declare class TokenScope {
    id: string;
    flag: number;
    name: string;
}
export declare class UserToken extends Entity<UserToken> {
    static fromObject: (source: any, opts?: any) => UserToken;
    static equals(t1: UserToken, t2: UserToken): boolean;
    pubkey: string;
    token: string;
    name: string;
    flags: number;
    scopes: TokenScope[];
    expirationDate: Moment;
    lastUsedDate: Moment;
    creationDate: Moment;
    constructor();
    asObject(opts?: EntityAsObjectOptions): any;
    fromObject(source: any, opts?: any): void;
}
