import { EntityFilter } from '../model/filter.model';
import { Referential } from '../model/referential.model';
import { FilterFn } from '../../../shared/types';
export declare class ReferentialFilter extends EntityFilter<ReferentialFilter, Referential> {
    static fromObject: (source: any, opts?: any) => ReferentialFilter;
    searchText: string;
    fromObject(source: any, opts?: any): void;
    protected buildFilter(): FilterFn<Referential>[];
}
