import { OnInit } from '@angular/core';
import { ModalController, NavParams } from '@ionic/angular';
import * as i0 from "@angular/core";
export declare interface ColumnItem {
    name?: string;
    label: string;
    visible: boolean;
    canHide?: boolean;
}
export declare class TableSelectColumnsComponent implements OnInit {
    private navParams;
    private viewCtrl;
    columns: ColumnItem[];
    canHideColumns: boolean;
    constructor(navParams: NavParams, viewCtrl: ModalController);
    ngOnInit(): void;
    onRenderItems(event: any): void;
    close(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableSelectColumnsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableSelectColumnsComponent, "table-select-columns", never, { "columns": { "alias": "columns"; "required": false; }; "canHideColumns": { "alias": "canHideColumns"; "required": false; }; }, {}, never, never, false, never>;
}
