import { AppTable } from './table.class';
import { TableElement } from '@e-is/ngx-material-table';
import { AsyncTableElement } from '@e-is/ngx-material-table/src/app/ngx-material-table/async/async-table-element';
import { IEntity } from '../services/model/entity.model';
import { SortDirection } from '@angular/material/sort';
export declare class AppTableUtils {
    static waitIdle(table: AppTable<any, any, any>): Promise<any>;
    static logRowErrors(row: TableElement<any> | AsyncTableElement<any>, logPrefix?: string): void;
    static getEntityId<T extends IEntity<T, ID> = IEntity<any, any>, ID = any>(row: TableElement<T> | AsyncTableElement<T>): ID;
    static getEntityIds<T extends IEntity<T, ID> = IEntity<any, any>, ID = any>(rows: TableElement<T>[] | AsyncTableElement<T>[]): ID[];
    static getEntities<T extends IEntity<T, ID> = IEntity<any, any>, ID = any>(rows: TableElement<T>[] | AsyncTableElement<T>[]): T[];
    static inverseDirection(direction: SortDirection): SortDirection;
}
