import { ReferentialValidatorService } from '../../services/testing/referential.validator';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { Referential } from '../../services/model/referential.model';
import * as i0 from "@angular/core";
export declare class TableValidatorService extends ReferentialValidatorService {
    protected formBuilder: UntypedFormBuilder;
    constructor(formBuilder: UntypedFormBuilder);
    getFormGroup(data?: Referential, opts?: {
        withDescription?: boolean;
        withComments?: boolean;
    }): UntypedFormGroup;
    getPropertiesForm(data: {
        [key: string]: any;
    }, opts?: any): UntypedFormGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableValidatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TableValidatorService>;
}
