import { AfterViewInit, ElementRef } from '@angular/core';
import { CdkTextareaAutosize } from '@angular/cdk/text-field';
import * as i0 from "@angular/core";
export declare class AutoResizeDirective implements AfterViewInit {
    readonly element: ElementRef<HTMLTextAreaElement>;
    readonly cdkDirective: CdkTextareaAutosize;
    private get _cachedLineHeight();
    private get _previousValue();
    private set _previousValue(value);
    maxRows: number;
    minRows: number;
    constructor(element: ElementRef<HTMLTextAreaElement>, cdkDirective: CdkTextareaAutosize);
    ngAfterViewInit(): void;
    onInput(): void;
    private doResize;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoResizeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoResizeDirective, "textarea[cdkTextareaAutosize]", never, { "maxRows": { "alias": "cdkAutosizeMaxRows"; "required": false; }; "minRows": { "alias": "cdkAutosizeMinRows"; "required": false; }; }, {}, never, never, false, never>;
    static ngAcceptInputType_maxRows: unknown;
    static ngAcceptInputType_minRows: unknown;
}
