import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
interface DropEvent extends Event {
    dataTransfer?: {
        files?: File[];
    };
}
export declare class DragAndDropDirective {
    fileOver: boolean;
    fileDropped: EventEmitter<File[]>;
    onDragOver(event: Event): void;
    onDragLeave(event: Event): void;
    ondrop(event: DropEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragAndDropDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragAndDropDirective, "[appDragAndDrop]", never, {}, { "fileDropped": "fileDropped"; }, never, never, false, never>;
}
export {};
