import { EventEmitter } from '@angular/core';
import { MatColumnDef } from '@angular/material/table';
import * as i0 from "@angular/core";
export declare class ResizableComponent {
    readonly columnDef: MatColumnDef;
    resizable: boolean;
    sizeChanged: EventEmitter<number>;
    width: string | null;
    minWidth: string | null;
    maxWidth: string | null;
    private debug;
    constructor(columnDef: MatColumnDef);
    onResize(width: number, opts?: {
        emitEvent: boolean;
    }): void;
    onFit(opts?: {
        emitEvent: boolean;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizableComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResizableComponent, "th[resizable]", never, { "resizable": { "alias": "resizable"; "required": false; }; }, { "sizeChanged": "sizeChanged"; }, never, ["*"], false, never>;
}
