import { ChangeDetectorRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { MatBadgeFill } from './badge.directive';
import { MatBadgeSize } from '@angular/material/badge';
import * as i0 from "@angular/core";
export declare class MatBadgeTestPage {
    private cd;
    userText: string;
    matBadgeContent: string;
    $icon: BehaviorSubject<string>;
    $size: BehaviorSubject<MatBadgeSize>;
    $fill: BehaviorSubject<MatBadgeFill>;
    $color: BehaviorSubject<string>;
    $hidden: BehaviorSubject<boolean>;
    $overlap: BehaviorSubject<boolean>;
    constructor(cd: ChangeDetectorRef);
    onInputChanged(event: any): void;
    onMatBadgeContentChanged(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatBadgeTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatBadgeTestPage, "mat-badge-test", never, {}, {}, never, never, false, never>;
}
