import { ChangeDetectorRef, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import 'moment-timezone';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DateShortTestPage implements OnInit {
    protected formBuilder: UntypedFormBuilder;
    protected cd: ChangeDetectorRef;
    showLogPanel: boolean;
    logContent: string;
    memoryHide: boolean;
    memoryMobile: boolean;
    memoryTimer: Subscription;
    form: UntypedFormGroup;
    mode: 'mobile' | 'desktop' | 'memory' | 'temp';
    constructor(formBuilder: UntypedFormBuilder, cd: ChangeDetectorRef);
    ngOnInit(): void;
    toggleMode(value: any): void;
    loadData(): Promise<void>;
    doSubmit(event: any): void;
    log(message: string): void;
    clearLogPanel(): void;
    startMemoryTimer(): void;
    stopMemoryTimer(): void;
    stringify: {
        (value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
        (value: any, replacer?: (string | number)[], space?: string | number): string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<DateShortTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateShortTestPage, "app-data-short-test", never, {}, {}, never, never, false, never>;
}
