import { OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { Moment } from 'moment';
import { DateFormatService } from '../../../pipes/date-format.pipe';
import { DisplayFn } from '../../../form/field.model';
import * as i0 from "@angular/core";
export declare class SwipeTestPage implements OnInit {
    protected formBuilder: UntypedFormBuilder;
    protected dateFormat: DateFormatService;
    form: UntypedFormGroup;
    $dates: BehaviorSubject<Moment[]>;
    private _today;
    constructor(formBuilder: UntypedFormBuilder, dateFormat: DateFormatService);
    ngOnInit(): void;
    loadData(): Promise<void>;
    doSubmit(event?: Event): void;
    displayDate(): DisplayFn;
    compareDate(): (d1: Moment, d2: Moment) => boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwipeTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwipeTestPage, "app-swipe-test", never, {}, {}, never, never, false, never>;
}
