import { PipeTransform } from '@angular/core';
import { unitOfTime } from 'moment';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class DurationPipe implements PipeTransform {
    protected dayUnit: string;
    constructor(translate: TranslateService);
    /**
     * Format a diff between two dates.
     *
     * @param value
     * @param opts
     * @param opts.unit allow to convert into a particular unit. If not defined, result will be like `x days HH:MM`
     * @param opts.seconds Should display or ignore the seconds ?
     **/
    transform(value: number, opts?: unitOfTime.DurationConstructor | {
        unit?: unitOfTime.DurationConstructor;
        seconds?: boolean;
    } | any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DurationPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<DurationPipe, "duration", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DurationPipe>;
}
