import { PipeTransform } from '@angular/core';
import { MaskitoMask, MaskitoOptions, MaskitoPlugin } from '@maskito/core';
import * as i0 from "@angular/core";
export type MaskitoPlaceholderPipeOptions = {
    defaultPrefix?: string;
    noDefaults?: boolean;
} & Partial<MaskitoOptions>;
export declare class MaskitoPlaceholderPipe implements PipeTransform {
    transform(placeholder: string, mask: MaskitoMask, opts?: MaskitoPlaceholderPipeOptions): MaskitoOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaskitoPlaceholderPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MaskitoPlaceholderPipe, "maskitoPlaceholder", false>;
}
export declare function maskitoPrefixPlugin(prefix: string, placeholder?: string): MaskitoPlugin;
export declare function maskitoAutoSelectByMaskPattern(): MaskitoPlugin;
