import { PipeTransform } from '@angular/core';
import { DisplayFn } from '../form/field.model';
import * as i0 from "@angular/core";
export declare class IsNotNilOrBlankPipe implements PipeTransform {
    transform(value: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNotNilOrBlankPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNotNilOrBlankPipe, "isNotNilOrBlank", false>;
}
export declare class IsNilOrBlankPipe implements PipeTransform {
    transform(value: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNilOrBlankPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNilOrBlankPipe, "isNilOrBlank", false>;
}
export declare class IsNilOrNaNPipe implements PipeTransform {
    transform(value: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNilOrNaNPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNilOrNaNPipe, "isNilOrNaN", false>;
}
export declare class IsNotNilOrNaNPipe implements PipeTransform {
    transform(value: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNotNilOrNaNPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNotNilOrNaNPipe, "isNotNilOrNaN", false>;
}
export declare class IsNotNilPipe implements PipeTransform {
    transform(value: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNotNilPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNotNilPipe, "isNotNil", false>;
}
export declare class IsNilPipe implements PipeTransform {
    transform(value: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNilPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNilPipe, "isNil", false>;
}
export declare class ToStringPipe implements PipeTransform {
    transform(value: number | object, displayWith?: DisplayFn): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToStringPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ToStringPipe, "toString", false>;
}
export declare class CapitalizePipe implements PipeTransform {
    transform(value: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CapitalizePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<CapitalizePipe, "capitalize", false>;
}
export declare class StrLengthPipe implements PipeTransform {
    transform(value: string): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<StrLengthPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<StrLengthPipe, "strLength", false>;
}
export declare class StrIncludesPipe implements PipeTransform {
    transform(value: string, searchString: string, position?: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<StrIncludesPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<StrIncludesPipe, "strIncludes", false>;
}
export declare class StrReplacePipe implements PipeTransform {
    transform(input: string, searchValue: string | RegExp, replacement: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<StrReplacePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<StrReplacePipe, "replace", false>;
}
export declare class TruncTextPipe implements PipeTransform {
    transform(input: string, size?: number, ellipsis?: boolean, ellipsisText?: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruncTextPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TruncTextPipe, "truncText", false>;
}
export declare class TruncHtmlPipe implements PipeTransform {
    transform(input: string, size?: number, ellipsis?: boolean, ellipsisText?: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruncHtmlPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TruncHtmlPipe, "truncHtml", false>;
}
