import { PipeTransform } from '@angular/core';
import { TranslateContextService } from '../services/translate-context.service';
import * as i0 from "@angular/core";
export declare class TranslateContextPipe implements PipeTransform {
    private translate;
    constructor(translate: TranslateContextService);
    transform(query: string, context?: string, interpolateParams?: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslateContextPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TranslateContextPipe, "translateContext", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslateContextPipe>;
}
export declare class TranslatablePipe implements PipeTransform {
    transform(value: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslatablePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TranslatablePipe, "translatable", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslatablePipe>;
}
