import { PipeTransform } from '@angular/core';
import { Observable } from 'rxjs';
import { FloatLabelType } from '@angular/material/form-field';
import { AppFloatLabelType } from '../form/field.model';
import * as i0 from "@angular/core";
export declare class AsAnyPipe implements PipeTransform {
    transform<T = any>(value: unknown | any): T | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsAnyPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsAnyPipe, "asAny", false>;
}
export declare class AsArrayPipe implements PipeTransform {
    transform<T = any>(value: unknown): T[] | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsArrayPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsArrayPipe, "asArray", false>;
}
export declare class AsObservablePipe implements PipeTransform {
    transform<T = any>(value: unknown): Observable<T> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsObservablePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsObservablePipe, "asObservable", false>;
}
export declare class AsFloatLabelTypePipe implements PipeTransform {
    transform(value: AppFloatLabelType): FloatLabelType | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsFloatLabelTypePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsFloatLabelTypePipe, "asFloatLabelType", false>;
}
export declare class AsBooleanPipe implements PipeTransform {
    transform(value: any, opts?: boolean | ((value: any, ...args: any[]) => boolean), ...args: any[]): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsBooleanPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsBooleanPipe, "asBoolean", false>;
}
