import { Storage } from '@ionic/storage-angular';
import { IStorage } from './storage.utils';
import { StartableService } from '../services/startable-service.class';
import { Platform } from '@ionic/angular';
import { Environment } from '../../../environments/environment.class';
import * as i0 from "@angular/core";
export declare class StorageService extends StartableService<Storage> implements IStorage<Storage> {
    private storage;
    private environment;
    get driver(): string | undefined;
    constructor(platform: Platform, storage: Storage, environment: Environment);
    protected ngOnStart(): Promise<Storage>;
    protected migrate(storage: Storage): Promise<void>;
    set(key: string, value: any): Promise<any>;
    get(key: string): Promise<any>;
    remove(key: string): Promise<any>;
    keys(): Promise<string[]>;
    clear(): Promise<void>;
    forEach(iteratorCallback: (value: any, key: string, iterationNumber: number) => any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StorageService>;
}
