import { InjectionToken } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare interface TestingPage {
    label: string;
    page?: string;
    divider?: boolean;
}
export declare const APP_TESTING_PAGES: InjectionToken<TestingPage[]>;
export declare class SharedTestsPage {
    protected route: ActivatedRoute;
    protected router: Router;
    protected translate: TranslateService;
    pages: TestingPage[];
    constructor(route: ActivatedRoute, router: Router, translate: TranslateService, pages: TestingPage[]);
    openPage(page: any): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharedTestsPage, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SharedTestsPage, "app-tests-page", never, {}, {}, never, never, false, never>;
}
