import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Hotkeys } from '../hotkeys/hotkeys.service';
import { IconRef } from '../types';
import * as i0 from "@angular/core";
export declare class ModalToolbarComponent implements OnInit, OnDestroy {
    private hotkeys;
    private _subscription;
    modalName: string;
    title: string;
    color: string;
    showSpinner: boolean;
    canValidate: boolean;
    validateIcon: IconRef;
    cancel: EventEmitter<Event>;
    validate: EventEmitter<Event>;
    constructor(hotkeys: Hotkeys);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalToolbarComponent, "app-modal-toolbar", never, { "modalName": { "alias": "modalName"; "required": false; }; "title": { "alias": "title"; "required": false; }; "color": { "alias": "color"; "required": false; }; "showSpinner": { "alias": "showSpinner"; "required": false; }; "canValidate": { "alias": "canValidate"; "required": false; }; "validateIcon": { "alias": "validateIcon"; "required": false; }; }, { "cancel": "cancel"; "validate": "validate"; }, never, ["[slot=start]", "ion-title", "ion-buttons[slot=end]", "ion-button[slot=end]"], false, never>;
}
