import { PopoverController } from '@ionic/angular';
import { UploadFilePopoverOptions } from '../upload-file-popover.component';
import { Observable } from 'rxjs';
import { FileEvent } from '../upload-file.model';
import * as i0 from "@angular/core";
export declare class UploadFileTestingPage {
    private popoverController;
    constructor(popoverController: PopoverController);
    showPopover(event: Event, opts?: Partial<UploadFilePopoverOptions<any>>): Promise<void>;
    /**
     * Simulate a upload function, with progression
     *
     * @param file
     */
    uploadFile(file: File): Observable<FileEvent<{
        finalName: string;
    }>>;
    deleteFile(file: File): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadFileTestingPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadFileTestingPage, "upload-file-testing", never, {}, {}, never, never, false, never>;
}
