import { OnInit } from '@angular/core';
import { JobProgression } from './job-progression.model';
import { RxState } from '@rx-angular/state';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface JobProgressionState {
    name: string;
    message: string;
    value: number;
    type: 'determinate' | 'indeterminate';
}
export declare class JobProgressionComponent extends RxState<JobProgressionState> implements OnInit {
    showName: boolean;
    jobProgression$: Observable<JobProgression>;
    name$: Observable<string>;
    message$: Observable<string>;
    value$: Observable<number>;
    type$: Observable<"determinate" | "indeterminate">;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<JobProgressionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JobProgressionComponent, "app-job-progression-component", never, { "showName": { "alias": "showName"; "required": false; }; "jobProgression$": { "alias": "jobProgression$"; "required": false; }; }, {}, never, never, false, never>;
}
