import { InjectionToken } from '@angular/core';
import { JobProgressionOptions } from './job/progression/job-progression.icon';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "../core/core.module";
import * as i3 from "../shared/shared.module";
import * as i4 from "./user-event/user-event.module";
import * as i5 from "./job/job.module";
import * as i6 from "./message/message.module";
export interface SocialModuleOptions {
    showUserEventNotification: boolean;
    showJobProgression: boolean;
    jobProgressionOptions: JobProgressionOptions;
}
export declare const SocialModuleOptionsToken: InjectionToken<SocialModuleOptions>;
export declare class SocialModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SocialModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SocialModule, never, [typeof i1.CommonModule, typeof i2.CoreModule, typeof i3.SharedModule, typeof i4.UserEventModule, typeof i5.JobModule, typeof i6.MessageModule], [typeof i4.UserEventModule, typeof i5.JobModule, typeof i6.MessageModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SocialModule>;
}
