import { EntityFilter } from '../../../core/services/model/filter.model';
import { Person } from '../../../core/services/model/person.model';
import { EntityAsObjectOptions } from '../../../core/services/model/entity.model';
import { StoreObject } from '@apollo/client/core';
import { FilterFn } from '../../../shared/types';
export declare class PersonFilter extends EntityFilter<PersonFilter, Person> {
    static fromObject: (source: any, opts?: any) => PersonFilter;
    static searchFilter(source: any): FilterFn<Person>;
    email: string;
    pubkey: string;
    searchText: string;
    statusIds: number[];
    userProfiles: string[];
    includedIds: number[];
    excludedIds: number[];
    searchAttribute: string;
    searchAttributes: string[];
    constructor();
    fromObject(source: any, opts?: EntityAsObjectOptions): void;
    asObject(opts?: EntityAsObjectOptions): StoreObject;
    protected buildFilter(): FilterFn<Person>[];
}
