import { ChangeDetectorRef, Injector, OnInit } from '@angular/core';
import { UntypedFormBuilder } from '@angular/forms';
import { AppForm } from '../../form/form.class';
import { AuthData } from '../../services/account.service';
import * as i0 from "@angular/core";
export declare class ChangePasswordForm extends AppForm<AuthData> implements OnInit {
    private cd;
    protected showPwd: boolean;
    protected showConfirmPwd: boolean;
    usernamePlaceholder: string;
    emailValidator: boolean;
    set username(value: string);
    get username(): string;
    constructor(injector: Injector, formBuilder: UntypedFormBuilder, cd: ChangeDetectorRef);
    ngOnInit(): void;
    protected markForCheck(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChangePasswordForm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChangePasswordForm, "app-change-password-form", never, { "usernamePlaceholder": { "alias": "usernamePlaceholder"; "required": false; }; "emailValidator": { "alias": "emailValidator"; "required": false; }; "username": { "alias": "username"; "required": false; }; }, {}, never, never, false, never>;
}
