import { AfterViewInit, OnInit } from '@angular/core';
import { FormFieldDefinition } from '../../../../shared/form/field.model';
import { AppPropertiesForm } from '../properties.form';
import { LoadResult } from '../../../../shared/services/entity-service.class';
import { FormBuilder, FormGroup } from '@angular/forms';
import { PropertyValidator } from '../property.validator';
import { SortDirection } from '@angular/material/sort';
import * as i0 from "@angular/core";
export declare class PropertiesFormTestPage implements OnInit, AfterViewInit {
    protected formBuilder: FormBuilder;
    protected pv: PropertyValidator;
    propertyDefinitions: FormFieldDefinition[];
    i18nFieldPrefix: string;
    form: FormGroup;
    propertiesForm: AppPropertiesForm;
    constructor(formBuilder: FormBuilder, pv: PropertyValidator);
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    protected suggestEntity(value: any, filter: any, sortBy: any | string, sortDirection: SortDirection, options: any): Promise<LoadResult<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PropertiesFormTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PropertiesFormTestPage, "app-properties-form-test", never, {}, {}, never, never, false, never>;
}
