import { PopoverController, ToastController } from '@ionic/angular';
import { TextPopoverOptions } from '../text-popover.component';
import { TranslateService } from '@ngx-translate/core';
import { PlatformService } from '../../../services/platform.service';
import * as i0 from "@angular/core";
export declare class TextPopoverTestingPage {
    private popoverController;
    private toastController;
    private translate;
    private platform;
    constructor(popoverController: PopoverController, toastController: ToastController, translate: TranslateService, platform: PlatformService);
    showPopover(event: Event, opts?: Partial<TextPopoverOptions>): Promise<void>;
    protected showSharePopoverWithButtons(event: UIEvent, opts?: Partial<TextPopoverOptions>): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextPopoverTestingPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextPopoverTestingPage, "text-popover-testing", never, {}, {}, never, never, false, never>;
}
