import { AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { MatTab, MatTabGroup } from '@angular/material/tabs';
import { Router } from '@angular/router';
import { MenuService } from './menu.service';
import { IconRef } from '../../shared/types';
import * as i0 from "@angular/core";
export declare class SubMenuTabDirective implements OnChanges, AfterViewInit {
    private menuService;
    private tabGroup;
    private tab;
    private router;
    label: string;
    disabled: boolean;
    parentPath: string;
    path: string;
    subMenuTitle: string;
    subMenuIcon: IconRef;
    private _menuItem;
    private readonly _enable;
    constructor(menuService: MenuService, tabGroup: MatTabGroup, tab: MatTab, router: Router);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private _removeToMenu;
    private _addToMenu;
    private get menuItem();
    private get title();
    static ɵfac: i0.ɵɵFactoryDeclaration<SubMenuTabDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SubMenuTabDirective, "[appSubMenuTab]", never, { "label": { "alias": "label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "parentPath": { "alias": "parentPath"; "required": false; }; "path": { "alias": "path"; "required": false; }; "subMenuTitle": { "alias": "subMenuTitle"; "required": false; }; "subMenuIcon": { "alias": "subMenuIcon"; "required": false; }; }, {}, never, never, false, never>;
}
