import { OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { ActivatedRoute } from '@angular/router';
import { AccountService } from '../services/account.service';
import { ConfigService } from '../services/config.service';
import { PlatformService } from '../services/platform.service';
import * as i0 from "@angular/core";
export declare class RegisterConfirmPage implements OnDestroy {
    private platform;
    private accountService;
    private activatedRoute;
    private configService;
    subscriptions: Subscription[];
    isLogin: boolean;
    loading: boolean;
    error: string;
    email: string;
    contentStyle: {};
    constructor(platform: PlatformService, accountService: AccountService, activatedRoute: ActivatedRoute, configService: ConfigService);
    ngOnDestroy(): void;
    doConfirm(email: string, code: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegisterConfirmPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegisterConfirmPage, "app-register-confirm-page", never, {}, {}, never, never, false, never>;
}
