import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Observable } from 'rxjs';
import { ModalController } from '@ionic/angular';
import { AccountService } from './account.service';
import * as i0 from "@angular/core";
export declare class AuthGuardService implements CanActivate {
    private accountService;
    private modalCtrl;
    private router;
    protected environment: any;
    private readonly _debug;
    constructor(accountService: AccountService, modalCtrl: ModalController, router: Router, environment: any);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean | UrlTree> | boolean | UrlTree;
    login(next?: ActivatedRouteSnapshot): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthGuardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthGuardService>;
}
