import { FormFieldDefinition } from '../../../shared/form/field.model';
export declare const CORE_CONFIG_OPTIONS: Readonly<{
    LOGO: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    FAVICON: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    DEFAULT_LOCALE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    DEFAULT_LAT_LONG_FORMAT: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    /**
     * @deprecated Use `ACCOUNT_LAT_LONG_FORMAT_ENABLE` instead
     */
    DEFAULT_LAT_LONG_FORMAT_ENABLED: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    REGISTRATION_ENABLE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    AUTH_TOKEN_TYPE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    AUTH_RESET_PASSWORD_ENABLE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    AUTH_API_TOKEN_ENABLED: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    AUTH_API_TOKEN_SCOPE_ENABLED: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    DEFAULT_AUTH_API_TOKEN_SCOPE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    GRAVATAR_ENABLE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    GRAVATAR_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    TESTING: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    APP_MIN_VERSION: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    HELP_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    FORUM_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    REPORT_ISSUE_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    PRIVACY_POLICY_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    TERMS_OF_USE_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    LOGO_LARGE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    MENU_ITEMS: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    HOME_PARTNERS_DEPARTMENTS: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    HOME_BACKGROUND_IMAGE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_PRIMARY: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_SECONDARY: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_TERTIARY: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_SUCCESS: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_WARNING: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_ACCENT: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    COLOR_DANGER: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    FORM_FIELD_BACKGROUND_COLOR: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    FORM_FIELD_FOCUS_BACKGROUND_COLOR: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    FORM_FIELD_DISABLED_BACKGROUND_COLOR: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    ANDROID_INSTALL_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    IOS_INSTALL_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    DESKTOP_INSTALL_URL: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    DB_TIMEZONE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    ACCOUNT_LAT_LONG_FORMAT_ENABLE: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
    ACCOUNT_READONLY: FormFieldDefinition<string, import("../../../shared/form/field.model").FormFieldType, any>;
}>;
