import { Moment } from 'moment/moment';
import { Cloneable, Entity, EntityAsObjectOptions } from './entity.model';
export declare class NodeFeature extends Entity<NodeFeature> implements Cloneable<NodeFeature> {
    static fromObject: (source: any, opts?: any) => NodeFeature;
    label: string;
    name: string;
    description: string;
    logo: string;
    creationDate: Moment;
    statusId: number;
    validityStatusId: number;
    asObject(options?: EntityAsObjectOptions): any;
    fromObject(source: any): void;
}
