import { AbstractControlOptions, UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { Referential } from '../model/referential.model';
import { AppValidatorService } from '../validator/base.validator.class';
import * as i0 from "@angular/core";
export declare class ReferentialValidatorService<T extends Referential = Referential> extends AppValidatorService<T> {
    protected formBuilder: UntypedFormBuilder;
    constructor(formBuilder: UntypedFormBuilder);
    getRowValidator(): UntypedFormGroup;
    getFormGroup(data?: T, opts?: {
        withDescription?: boolean;
        withComments?: boolean;
    }): UntypedFormGroup;
    getFormGroupConfig(data?: T, opts?: {
        withDescription?: boolean;
        withComments?: boolean;
    }): {
        [key: string]: any;
    };
    getFormGroupOptions(data?: T, opts?: any): AbstractControlOptions | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReferentialValidatorService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ReferentialValidatorService<any>>;
}
