import { UntypedFormBuilder, UntypedFormControl, UntypedFormGroup, ValidationErrors, ValidatorFn } from '@angular/forms';
import { AppValidatorService } from './base.validator.class';
import { UserToken } from '../model/token.model';
import * as i0 from "@angular/core";
export declare class UserTokenValidatorService extends AppValidatorService<UserToken> {
    constructor(formBuilder: UntypedFormBuilder);
    getFormGroup(data?: UserToken): UntypedFormGroup;
    updateFormGroup(formGroup: UntypedFormGroup, existingNames: string[]): void;
    static notAlreadyExists(existingNames: string[]): ValidatorFn;
    static notEmptyArray(control: UntypedFormControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserTokenValidatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserTokenValidatorService>;
}
