import { AfterContentInit, ElementRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { KeyboardService } from '../capacitor/keyboard';
import * as i0 from "@angular/core";
export declare class AutofocusDirective implements AfterContentInit, OnChanges, OnDestroy {
    private readonly _elementRef;
    private readonly keyboard;
    shouldFocusElement: any;
    timerDelay: number;
    private _timer;
    constructor(_elementRef: ElementRef, keyboard: KeyboardService);
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private _startFocus;
    private _stop;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutofocusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutofocusDirective, "[autofocus], input[appAutofocus]", never, { "shouldFocusElement": { "alias": "appAutofocus"; "required": false; }; "timerDelay": { "alias": "autofocusDelay"; "required": false; }; }, {}, never, never, false, never>;
}
