import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ThrottledClickDirective implements OnInit, OnDestroy {
    throttleTime: number;
    throttledClick: EventEmitter<UIEvent>;
    private clicks;
    private subscription;
    constructor();
    clickEvent(event: UIEvent): void;
    ngOnInit(): void;
    emitThrottledClick(e: UIEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThrottledClickDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ThrottledClickDirective, "[appPreventDoubleClick],[throttledClick]", never, { "throttleTime": { "alias": "throttleTime"; "required": false; }; }, { "throttledClick": "throttledClick"; }, never, never, false, never>;
    static ngAcceptInputType_throttleTime: unknown;
}
