import { Platform } from '@ionic/angular';
import { ImageResizeOptions } from './images.utils';
import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class FileService {
    private platform;
    private http;
    protected environment: any;
    private readonly _debug;
    private _started;
    private _imageDirectory;
    get canUseFileSystem(): boolean;
    constructor(platform: Platform, http: HttpClient, environment: any);
    getImages(sources: string[], opts?: ImageResizeOptions & {
        outputType?: 'fileUrl' | 'dataUrl';
    }): Promise<string[]>;
    getImage(fileUrl: string, opts?: ImageResizeOptions & {
        outputType?: 'fileUrl' | 'dataUrl';
    }): Promise<string>;
    protected start(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileService>;
}
