import { Observable } from 'rxjs';
import { FileEvent } from '../upload-file/upload-file.model';
import { TranslateService } from '@ngx-translate/core';
export declare class JsonUtils {
    static DEFAULT_ENCODING: string;
    static exportToFile(content: any, opts?: {
        filename?: string;
        encoding?: string;
        type?: string;
    }): void;
    static writeToFile(content: any, opts?: {
        filename?: string;
        type?: string;
    }): File;
    static parseFile<T = any>(file: File, opts?: {
        encoding?: string;
    }): Observable<FileEvent<T>>;
    static getLocalizedEncoding(translate: TranslateService, defaultEncoding?: string): string;
}
