export declare function rgbToHex(r: number, g: number, b: number): string;
export declare function rgbArrayToHex(rgb: number[]): string;
export declare function hexToRgbArray(hex: string): number[];
export declare function hexToRgb(hex: string): {
    r: number;
    g: number;
    b: number;
};
export declare function mixHex(color1: string, color2: string, weight?: number): string;
export declare function getColorShade(color: string): string;
export declare function getColorTint(color: string): string;
/**
 *
 * @param color
 * @param bw if true, will use black or white color, instead of the exact inverse
 */
export declare function getColorContrast(color: string, bw?: boolean): string;
