import { ActivatedRouteSnapshot, CanDeactivate, RouterStateSnapshot, UrlTree } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AlertController } from '@ionic/angular';
import { CanLeave } from '../../core/form/form.utils';
import * as i0 from "@angular/core";
export declare class ComponentDirtyGuard implements CanDeactivate<CanLeave> {
    protected translate: TranslateService;
    protected alertCtrl: AlertController;
    private debug;
    constructor(translate: TranslateService, alertCtrl: AlertController);
    canDeactivate(component: CanLeave, currentRoute: ActivatedRouteSnapshot, currentState: RouterStateSnapshot, nextState: RouterStateSnapshot): Promise<boolean | UrlTree>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentDirtyGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ComponentDirtyGuard>;
}
