import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
export declare class HttpUtils {
    static getText(http: HttpClient, uri: string, opts?: {
        nocache?: boolean;
        headers?: HttpHeaders | {
            [header: string]: string | string[];
        };
        params?: HttpParams | {
            [param: string]: string | string[];
        };
        reportProgress?: boolean;
        responseType?: 'text';
        withCredentials?: boolean;
    }): Promise<string>;
    static getJson<T>(http: HttpClient, uri: string, opts?: {
        nocache?: boolean;
        timeout?: number;
        headers?: HttpHeaders | {
            [header: string]: string | string[];
        };
        params?: HttpParams | {
            [param: string]: string | string[];
        };
        reportProgress?: boolean;
        responseType?: 'json';
        withCredentials?: boolean;
    }): Promise<T>;
}
