import { Entity } from '../../../../core/services/model/entity.model';
import { EntityFilter } from '../../../../core/services/model/filter.model';
import { Image } from '../../image.model';
export declare class ImageAttachment extends Entity<ImageAttachment> implements Image {
    static fromObject: (source: any, opts?: any) => ImageAttachment;
    dataUrl: string;
    url: string;
    fromObject(source: any, opts?: any): void;
}
export declare class ImageAttachmentFilter extends EntityFilter<ImageAttachmentFilter, ImageAttachment> {
    static fromObject: (source: any, opts?: any) => ImageAttachmentFilter;
}
