import { AfterViewInit, ChangeDetectorRef, Injector, OnInit } from '@angular/core';
import { AppForm } from '../../../../core/form/form.class';
import { UntypedFormBuilder } from '@angular/forms';
import { AppFloatLabelType } from '../../../form/field.model';
import * as i0 from "@angular/core";
export declare class BooleanTestPage extends AppForm<any> implements OnInit, AfterViewInit {
    protected injector: Injector;
    protected formBuilder: UntypedFormBuilder;
    protected cd: ChangeDetectorRef;
    stringify: {
        (value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
        (value: any, replacer?: (string | number)[], space?: string | number): string;
    };
    mode: 'radio' | 'checkbox' | 'button' | 'temp';
    styles: string[];
    floatLabel: AppFloatLabelType;
    floatLabels: string[];
    constructor(injector: Injector, formBuilder: UntypedFormBuilder, cd: ChangeDetectorRef);
    ngAfterViewInit(): void;
    toggleMode(value: any): void;
    toggleFloatLabel(value: AppFloatLabelType): void;
    protected markForCheck(): void;
    protected clearControlValue(path: string, event?: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BooleanTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BooleanTestPage, "app-boolean-test-page", never, {}, {}, never, never, false, never>;
}
