import { OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { LoadResult } from '../../../services/entity-service.class';
import { MatAutocompleteConfigHolder } from '../../autocomplete/material.autocomplete.config';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import * as i0 from "@angular/core";
declare class EntityTestClass {
    id: number;
    label: string;
    name: string;
}
export declare class ChipsTestPage implements OnInit {
    protected formBuilder: UntypedFormBuilder;
    private _items;
    private _$items;
    form: UntypedFormGroup;
    autocompleteFields: MatAutocompleteConfigHolder;
    appearance: MatFormFieldAppearance;
    mobile: boolean;
    constructor(formBuilder: UntypedFormBuilder);
    ngOnInit(): void;
    loadData(): Promise<void>;
    loadItems(): Promise<void>;
    entityToString(item: any): string;
    suggest(value: any, filter?: any): Promise<LoadResult<EntityTestClass>>;
    doSubmit(_: any): void;
    equals(o1: EntityTestClass, o2: EntityTestClass): boolean;
    stringify(value: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipsTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipsTestPage, "app-chips-test", never, {}, {}, never, never, false, never>;
}
export {};
