import { ChangeDetectorRef, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import 'moment-timezone';
import * as i0 from "@angular/core";
export declare class DurationTestPage implements OnInit {
    protected formBuilder: UntypedFormBuilder;
    protected cd: ChangeDetectorRef;
    form: UntypedFormGroup;
    mode: 'desktop' | 'temp';
    constructor(formBuilder: UntypedFormBuilder, cd: ChangeDetectorRef);
    ngOnInit(): void;
    toggleMode(value: any): void;
    loadData(): Promise<void>;
    doSubmit(event: any): void;
    log(message: string): void;
    stringify: {
        (value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
        (value: any, replacer?: (string | number)[], space?: string | number): string;
    };
    protected readonly Number: NumberConstructor;
    static ɵfac: i0.ɵɵFactoryDeclaration<DurationTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DurationTestPage, "app-duration-test", never, {}, {}, never, never, false, never>;
}
