import { OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { PlatformService } from '../../../../core/services/platform.service';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { MatCheckboxChange } from '@angular/material/checkbox';
import * as i0 from "@angular/core";
export declare class LatLongTestPage implements OnInit {
    protected formBuilder: UntypedFormBuilder;
    protected platform: PlatformService;
    form: UntypedFormGroup;
    geoPositionMessage: string;
    mode: 'mobile' | 'desktop' | 'dev' | 'temp';
    selectedFormat: string;
    appearance: MatFormFieldAppearance;
    constructor(formBuilder: UntypedFormBuilder, platform: PlatformService);
    ngOnInit(): void;
    toggleMode(value: any): void;
    loadData(): Promise<void>;
    doSubmit(event: Event): void;
    geoPosition(event: Event, controlName?: string): Promise<void>;
    toggleAppearance(event: MatCheckboxChange): void;
    stringify: {
        (value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
        (value: any, replacer?: (string | number)[], space?: string | number): string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<LatLongTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LatLongTestPage, "app-latlong-test", never, {}, {}, never, never, false, never>;
}
