import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class MatCommonTestPage implements OnInit, OnDestroy {
    protected formBuilder: UntypedFormBuilder;
    protected cd: ChangeDetectorRef;
    showLogPanel: boolean;
    logContent: string;
    form: UntypedFormGroup;
    statusList: readonly import("../../../core/services/model/referential.model").IStatus[];
    private subscription;
    constructor(formBuilder: UntypedFormBuilder, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadData(): Promise<void>;
    doSubmit(_: any): void;
    log(message: string): void;
    clearLogPanel(): void;
    stringify: {
        (value: any, replacer?: (this: any, key: string, value: any) => any, space?: string | number): string;
        (value: any, replacer?: (string | number)[], space?: string | number): string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<MatCommonTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatCommonTestPage, "mat-common-test", never, {}, {}, never, never, false, never>;
}
