import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { MatAutocompleteFieldConfig } from '../../material/autocomplete/material.autocomplete.config';
import { NamedFilter } from '../named-filter.model';
import { LocalSettingsService } from '../../../core/services/local-settings.service';
import * as i0 from "@angular/core";
declare class DummyFilter {
    filterA: string;
    filterB: string;
    filterC: string;
}
export declare class NamedFilterSelectorTestingPage implements OnDestroy {
    protected cd: ChangeDetectorRef;
    protected settings: LocalSettingsService;
    private _subscription;
    protected _filterForm: UntypedFormGroup;
    protected mobile: boolean;
    protected namedFilterContentProvider: () => object;
    protected namedFilterAutocompleteConfig: MatAutocompleteFieldConfig;
    set filterForm(value: UntypedFormGroup);
    get filterForm(): UntypedFormGroup;
    constructor(cd: ChangeDetectorRef, settings: LocalSettingsService, formBuilder: UntypedFormBuilder);
    ngOnDestroy(): void;
    setFilterForm(filterForm: UntypedFormGroup): void;
    getFilterValue(): any;
    protected markForCheck(): void;
    protected filterImportCallback: (namedFilter: NamedFilter) => Promise<NamedFilter>;
    setFilter(filter: Partial<DummyFilter>, opts?: {
        emitEvent: boolean;
    }): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NamedFilterSelectorTestingPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NamedFilterSelectorTestingPage, "app-name-filter-selector-testing", never, { "filterForm": { "alias": "filterForm"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
