import { PipeTransform } from '@angular/core';
import { Moment } from 'moment';
import { DateAdapter } from '@angular/material/core';
import { TranslateService } from '@ngx-translate/core';
import { unitOfTime } from 'moment/moment';
import * as i0 from "@angular/core";
export declare class DateDiffDurationPipe implements PipeTransform {
    private dateAdapter;
    protected dayUnit: string;
    constructor(dateAdapter: DateAdapter<Moment>, translate: TranslateService);
    transform(value: {
        startValue: string | Moment;
        endValue: string | Moment;
    }, opts?: {
        seconds?: boolean;
        unit?: unitOfTime.Base;
    }): string | Promise<string>;
    format(startDate: Moment, endDate: Moment, opts: {
        seconds?: boolean;
        unit?: unitOfTime.Base;
    }): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateDiffDurationPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<DateDiffDurationPipe, "dateDiffDuration", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DateDiffDurationPipe>;
}
