import { PipeTransform } from '@angular/core';
import { formatLatitude, formatLongitude, LatLongFormatOptions } from '../material/latlong/latlong.utils';
import * as i0 from "@angular/core";
export declare class LatitudeFormatPipe implements PipeTransform {
    transform: typeof formatLatitude;
    static ɵfac: i0.ɵɵFactoryDeclaration<LatitudeFormatPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<LatitudeFormatPipe, "latitudeFormat", false>;
}
export declare class LongitudeFormatPipe implements PipeTransform {
    transform: typeof formatLongitude;
    static ɵfac: i0.ɵɵFactoryDeclaration<LongitudeFormatPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<LongitudeFormatPipe, "longitudeFormat", false>;
}
export declare class LatLongFormatPipe implements PipeTransform {
    transform(value: number, opts?: Partial<LatLongFormatOptions> & {
        type: 'latitude' | 'longitude';
    }): string | Promise<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LatLongFormatPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<LatLongFormatPipe, "latLongFormat", false>;
}
