import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MapGetPipe implements PipeTransform {
    transform<T = any, R = any>(val: T, args: keyof T | string | number | {
        key: keyof T | string | number;
        defaultValue?: any;
    }): R;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapGetPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MapGetPipe, "mapGet", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MapGetPipe>;
}
export declare class MapKeysPipe implements PipeTransform {
    transform(map: any, defaultValue?: any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<MapKeysPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MapKeysPipe, "mapKeys", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MapKeysPipe>;
}
export declare class MapValuesPipe implements PipeTransform {
    transform<K = any, V = any>(map: any | Map<K, V>, defaultValue?: V[]): V[];
    static ɵfac: i0.ɵɵFactoryDeclaration<MapValuesPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MapValuesPipe, "mapValues", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MapValuesPipe>;
}
