import { PipeTransform } from '@angular/core';
import { Observable } from 'rxjs';
import { FirstOptions } from '../observables';
import * as i0 from "@angular/core";
export declare class FirstTruePipe implements PipeTransform {
    transform(value: Observable<boolean>, opts?: FirstOptions): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirstTruePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FirstTruePipe, "firstTrue", false>;
}
export declare class FirstFalsePipe implements PipeTransform {
    transform(value: Observable<boolean>, opts?: FirstOptions): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirstFalsePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FirstFalsePipe, "firstFalse", false>;
}
export declare class FirstPipe implements PipeTransform {
    transform<T = any>(value: Observable<T>): Observable<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirstPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<FirstPipe, "first", false>;
}
export declare class MapPipe implements PipeTransform {
    transform<T, R>(value: Observable<T>, mapFn: (value: T) => R, ...otherArguments: any[]): Observable<R>;
    transform<T, R>(value: T, mapFn: (value: T) => R, ...otherArguments: any[]): R;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MapPipe, "map", false>;
}
