import { EventEmitter, InjectionToken } from '@angular/core';
import { ProgressBarMode } from '@angular/material/progress-bar';
import * as i0 from "@angular/core";
export declare const APP_PROGRESS_BAR_SERVICE: InjectionToken<IProgressBarService>;
export declare type ProgressMode = ProgressBarMode;
export interface IProgressBarService {
    onProgressChanged: EventEmitter<ProgressBarMode>;
    list(): number;
    increase(): any;
    decrease(): any;
}
export declare class ProgressBarService implements IProgressBarService {
    private _requestsRunning;
    onProgressChanged: EventEmitter<ProgressBarMode>;
    list(): number;
    increase(): void;
    decrease(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProgressBarService>;
}
