import { ElementRef, OnDestroy } from '@angular/core';
import { FirstOptions, WaitForOptions } from '../observables';
import { Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ObservableTestPage implements OnDestroy {
    _stopSubject: Subject<void>;
    $value: Subject<any>;
    runningTaskCount: number;
    taskId: number;
    options: Partial<FirstOptions>;
    resultDiv: ElementRef;
    constructor();
    ngOnDestroy(): void;
    setOptions(opts: any): void;
    setOptionsError(errorMessage: any): void;
    firstNotNilPromise(opts?: FirstOptions): Promise<void>;
    waitForTrue(opts?: WaitForOptions): Promise<void>;
    execute<T, O extends WaitForOptions = WaitForOptions>(fn: (o: Observable<any>, opts: O) => Promise<T>, opts?: O, logPrefix?: string): Promise<void>;
    emit(value: any): void;
    stop(): void;
    log(message: string, ...args: any): void;
    appendLog(message: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObservableTestPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObservableTestPage, "app-observable-test", never, {}, {}, never, never, false, never>;
}
