import { ToastController } from '@ionic/angular';
import { TranslateService } from '@ngx-translate/core';
import { OverlayEventDetail, ToastOptions } from '@ionic/core';
import { Injector } from '@angular/core';
export declare interface ShowToastOptions extends ToastOptions {
    type?: 'error' | 'warning' | 'info';
    messageParams?: any;
    showCloseButton?: boolean;
    onWillPresent?: (toast: HTMLIonToastElement) => void;
}
export declare class Toasts {
    static counter: number;
    static stackSize: number;
    static showSimple<T = any>(injector: Injector, opts: ShowToastOptions): Promise<OverlayEventDetail<T>>;
    static show<T = any>(toastController: ToastController, translate: TranslateService, opts: ShowToastOptions): Promise<OverlayEventDetail<T>>;
}
