import { JobProgression } from './job-progression.model';
import { IUserEventAction } from '../../user-event/user-event.model';
import { PopoverController } from '@ionic/angular';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface JobProgressionListOptions {
    titleI18n?: string;
    headerActions?: IUserEventAction[];
}
export declare class JobProgressionList implements JobProgressionListOptions {
    protected popoverController: PopoverController;
    titleI18n: string;
    headerActions: IUserEventAction[];
    jobProgressions: Observable<Observable<JobProgression>[]>;
    constructor(popoverController: PopoverController);
    executeAction(event: Event, action: IUserEventAction): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<JobProgressionList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JobProgressionList, "app-job-progression-list", never, { "titleI18n": { "alias": "titleI18n"; "required": false; }; "headerActions": { "alias": "headerActions"; "required": false; }; "jobProgressions": { "alias": "jobProgressions"; "required": false; }; }, {}, never, never, false, never>;
}
