import { OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { AlertController } from '@ionic/angular';
import { TranslateService } from '@ngx-translate/core';
import { UserEventTestService } from './user-event.testing.service';
import { UserEventNotificationIcon } from '../notification/user-event-notification.icon';
import { UserEventTest } from './user-event.testing.model';
import * as i0 from "@angular/core";
export declare class UserEventTestingPage implements OnDestroy {
    protected userEventService: UserEventTestService;
    protected router: Router;
    protected alertController: AlertController;
    protected translateService: TranslateService;
    private _timerSubscription;
    notification: UserEventNotificationIcon;
    get timerStarted(): boolean;
    constructor(userEventService: UserEventTestService, router: Router, alertController: AlertController, translateService: TranslateService);
    ngOnDestroy(): void;
    protected customize(userEvent: UserEventTest): void;
    addNotification(): void;
    addError(): void;
    addWarning(): void;
    addDebug(): void;
    addNotificationWithLink(): void;
    addNotificationWithAction(): void;
    addMany(count?: number): void;
    startTimer(period?: number): void;
    stopTimer(): void;
    addRandom(value: number): void;
    addNotificationWithDefaultAction(): void;
    protected showMessage(text: string): Promise<void>;
    replaceLastEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserEventTestingPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserEventTestingPage, "job-progression-testing", never, {}, {}, never, never, false, never>;
}
